# CalculationLayerSchema

class `openff.evaluator.layers.``CalculationLayerSchema`

  A schema which encodes the options that a CalculationLayer should use when estimating a given class of physical properties.

  `__init__`()

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__` | Initialize self.
  `from_json`(file_path) | Create this object from a JSON file.
  `get_attributes`([attribute_type]) | Returns all attributes of a specific attribute_type.
  `json`([file_path, format]) | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.
  `validate`([attribute_type]) | Validate the values of the attributes.

  Attributes

  `absolute_tolerance` | The absolute uncertainty that the property should be estimated to within.
  `relative_tolerance` | The relative uncertainty that the property should be estimated to within, i.e relative_tolerance * measured_property.uncertainty.

  `absolute_tolerance`

    The absolute uncertainty that the property should be estimated to within. This attribute is mutually exclusive with the relative_tolerance attribute. The default value of this attribute is not set. This attribute is optional.

    Type

      Quantity

  `relative_tolerance`

    The relative uncertainty that the property should be estimated to within, i.e relative_tolerance * measured_property.uncertainty. This attribute is mutually exclusive with the absolute_tolerance attribute. The default value of this attribute is not set. This attribute is optional.

    Type

      float

  `validate`(attribute_type=None)

    Validate the values of the attributes. If attribute_type is set, only attributes of that type will be validated.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to validate.

    Raises

      ValueError or AssertionError –

  classmethod `from_json`(file_path)

    Create this object from a JSON file.

    Parameters

      file_path (str) – The path to load the JSON from.

    Returns

      The parsed class.

    Return type

      cls

  classmethod `get_attributes`(attribute_type=None)

    Returns all attributes of a specific attribute_type.

    Parameters

      attribute_type (type of Attribute, optional) – The type of attribute to search for.

    Returns

      The names of the attributes of the specified type.

    Return type

      list of str

  `json`(file_path=None, format=False)

    Creates a JSON representation of this class.

    Parameters

      - file_path (str, optional) – The (optional) file path to save the JSON file to.

      - format (bool) – Whether to format the JSON or not.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any